﻿using System;

//TODO: Add PCMonitorClient.dll from the PC Monitor installation folder as a reference to your project
using MM.Monitor.Client;

namespace MM.Monitor.Plugins
{
    public class Notification : ClientPlugin
    {
        public override void PluginLoaded()
        {                        
            /// This method is called when the plugin is loaded by the PC Monitor service            
            base.SendNotificationToAllDevices("This is a test notification from a PC Monitor plugin that has been loaded.", NotificationPriority.NORMAL);
        }
        public override void PluginUnloaded()
        {
            /// This method is called when the plugin is unloaded by the PC Monitor service
            /// Use this method to perform a cleanup if needed
        }
        public override void PluginDataCheck()
        {
            /// This method is called every ~15 seconds 
            /// and allows you to evaluate the internal plugin conditions.                        
        }        
        public override string GetPluginName()
        {
            return "Notification";
        }
        public override string GetPluginDescription()
        {
            return "Sends a notification when the plugin is loaded";
        }
        public override Client.Version GetPluginVersion()
        {
            return new Client.Version(2, 0);
        }
    }
}
